Changeset 4616

Show
Ignore:
Timestamp:
02/14/07 01:41:57 (2 years ago)
Author:
morris
Message:

Adjust for libwired

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • wire/branches/p7/config.h.in

    r4054 r4616  
    11/* config.h.in.  Generated from configure.in by autoheader.  */ 
    2  
    3 /* Define to 1 if you have the <CoreServices/CoreServices.h> header file. */ 
    4 #undef HAVE_CORESERVICES_CORESERVICES_H 
    52 
    63/* Define to 1 if you have the declaration of 
     
    1411#undef HAVE_INTTYPES_H 
    1512 
     13/* Define to 1 if you have the <libxml/parser.h> header file. */ 
     14#undef HAVE_LIBXML_PARSER_H 
     15 
    1616/* Define to 1 if you have the <memory.h> header file. */ 
    1717#undef HAVE_MEMORY_H 
     
    1919/* Define to 1 if you have the <openssl/sha.h> header file. */ 
    2020#undef HAVE_OPENSSL_SHA_H 
    21  
    22 /* Define to 1 if you have the <openssl/ssl.h> header file. */ 
    23 #undef HAVE_OPENSSL_SSL_H 
    2421 
    2522/* Define to 1 if you have the <readline/readline.h> header file. */ 
     
    5350/* Define to 1 if you have the <unistd.h> header file. */ 
    5451#undef HAVE_UNISTD_H 
     52 
     53/* Define to 1 if you have the <zlib.h> header file. */ 
     54#undef HAVE_ZLIB_H 
    5555 
    5656/* Define to the address where bug reports for this package should be sent. */ 
  • wire/branches/p7/configure

    r4522 r4616  
    13731373 
    13741374 
     1375 
     1376 
     1377 
     1378 
     1379 
     1380 
     1381 
     1382 
     1383 
     1384 
     1385 
     1386 
     1387 
     1388 
     1389 
     1390 
     1391 
     1392 
     1393 
     1394 
     1395 
     1396 
     1397 
     1398 
     1399 
     1400 
     1401 
     1402 
     1403 
     1404 
     1405 
    13751406# Get host 
    13761407ac_aux_dir= 
     
    30183049        fi 
    30193050 
    3020         if test -d /usr/local/ssl/include; then 
    3021                 CPPFLAGS="$CPPFLAGS -I/usr/local/ssl/include" 
    3022         fi 
    3023  
    3024         if test -d /usr/kerberos/include; then 
    3025                 CPPFLAGS="$CPPFLAGS -I/usr/kerberos/include" 
    3026         fi 
    3027  
    30283051 
    30293052        if test -d /usr/local/lib; then 
     
    30313054        fi 
    30323055 
    3033         if test -d /usr/local/ssl/lib; then 
    3034                 LDFLAGS="$LDFLAGS -L/usr/local/ssl/lib" 
    3035         fi 
    3036  
    30373056 
    30383057 
     
    30503069   { (exit 1); exit 1; }; } 
    30513070fi 
     3071 
    30523072 
    30533073 
     
    37273747 
    37283748 
     3749 
    37293750ac_ext=c 
    37303751ac_cpp='$CPP $CPPFLAGS' 
     
    42144235done 
    42154236 
     4237 
     4238 
     4239 
     4240 
     4241        if test "$_wi_ssl_paths_added" != yes ; then 
     4242                if test -d /usr/local/ssl/include; then 
     4243                        CPPFLAGS="$CPPFLAGS -I/usr/local/ssl/include" 
     4244                fi 
     4245 
     4246                if test -d /usr/kerberos/include; then 
     4247                        CPPFLAGS="$CPPFLAGS -I/usr/kerberos/include" 
     4248                fi 
     4249 
     4250                if test -d /usr/local/ssl/lib; then 
     4251                        LDFLAGS="$LDFLAGS -L/usr/local/ssl/lib" 
     4252                fi 
     4253        fi 
     4254 
     4255        _wi_ssl_paths_added=yes 
    42164256 
    42174257 
     
    44714511 
    44724512 
    4473  
    4474 for ac_header in openssl/ssl.h 
     4513        if test -d /usr/include/libxml2; then 
     4514                CPPFLAGS="$CPPFLAGS -I/usr/include/libxml2" 
     4515        fi 
     4516 
     4517        if test -d /usr/local/include/libxml2; then 
     4518                CPPFLAGS="$CPPFLAGS -I/usr/local/include/libxml2" 
     4519        fi 
     4520 
     4521 
     4522for ac_header in libxml/parser.h 
    44754523do 
    44764524as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    46174665_ACEOF 
    46184666 
    4619                 echo "$as_me:$LINENO: checking for SSL_library_init in -lssl" >&5 
    4620 echo $ECHO_N "checking for SSL_library_init in -lssl... $ECHO_C" >&6 
    4621 if test "${ac_cv_lib_ssl_SSL_library_init+set}" = set; then 
     4667                echo "$as_me:$LINENO: checking for xmlParseFile in -lxml2" >&5 
     4668echo $ECHO_N "checking for xmlParseFile in -lxml2... $ECHO_C" >&6 
     4669if test "${ac_cv_lib_xml2_xmlParseFile+set}" = set; then 
    46224670  echo $ECHO_N "(cached) $ECHO_C" >&6 
    46234671else 
    46244672  ac_check_lib_save_LIBS=$LIBS 
    4625 LIBS="-lssl  $LIBS" 
     4673LIBS="-lxml2  $LIBS" 
    46264674cat >conftest.$ac_ext <<_ACEOF 
    46274675/* confdefs.h.  */ 
     
    46374685/* We use char because int might match the return type of a gcc2 
    46384686   builtin and then its argument prototype would still apply.  */ 
    4639 char SSL_library_init (); 
     4687char xmlParseFile (); 
    46404688int 
    46414689main () 
    46424690{ 
    4643 SSL_library_init (); 
     4691xmlParseFile (); 
    46444692  ; 
    46454693  return 0; 
     
    46684716  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    46694717  (exit $ac_status); }; }; then 
    4670   ac_cv_lib_ssl_SSL_library_init=yes 
     4718  ac_cv_lib_xml2_xmlParseFile=yes 
    46714719else 
    46724720  echo "$as_me: failed program was:" >&5 
    46734721sed 's/^/| /' conftest.$ac_ext >&5 
    46744722 
    4675 ac_cv_lib_ssl_SSL_library_init=no 
     4723ac_cv_lib_xml2_xmlParseFile=no 
    46764724fi 
    46774725rm -f conftest.err conftest.$ac_objext \ 
     
    46794727LIBS=$ac_check_lib_save_LIBS 
    46804728fi 
    4681 echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_library_init" >&5 
    4682 echo "${ECHO_T}$ac_cv_lib_ssl_SSL_library_init" >&6 
    4683 if test $ac_cv_lib_ssl_SSL_library_init = yes; then 
    4684  
    4685                         LIBS="$LIBS -lssl
    4686  
    4687 else 
    4688  
    4689  
    4690         { { echo "$as_me:$LINENO: error: could not locate OpenSSL 
    4691  
    4692 If you installed OpenSSL into a non-standard directory, please run: 
     4729echo "$as_me:$LINENO: result: $ac_cv_lib_xml2_xmlParseFile" >&5 
     4730echo "${ECHO_T}$ac_cv_lib_xml2_xmlParseFile" >&6 
     4731if test $ac_cv_lib_xml2_xmlParseFile = yes; then 
     4732 
     4733                        LIBS="$LIBS -lxml2
     4734 
     4735else 
     4736 
     4737 
     4738        { { echo "$as_me:$LINENO: error: could not locate libxml2 
     4739 
     4740If you installed libxml2 into a non-standard directory, please run: 
    46934741 
    46944742    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    4695 echo "$as_me: error: could not locate OpenSSL 
    4696  
    4697 If you installed OpenSSL into a non-standard directory, please run: 
     4743echo "$as_me: error: could not locate libxml2 
     4744 
     4745If you installed libxml2 into a non-standard directory, please run: 
    46984746 
    46994747    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     
    47074755 
    47084756 
    4709         { { echo "$as_me:$LINENO: error: could not locate OpenSSL 
    4710  
    4711 If you installed OpenSSL into a non-standard directory, please run: 
     4757        { { echo "$as_me:$LINENO: error: could not locate libxml2 
     4758 
     4759If you installed libxml2 into a non-standard directory, please run: 
    47124760 
    47134761    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    4714 echo "$as_me: error: could not locate OpenSSL 
    4715  
    4716 If you installed OpenSSL into a non-standard directory, please run: 
     4762echo "$as_me: error: could not locate libxml2 
     4763 
     4764If you installed libxml2 into a non-standard directory, please run: 
    47174765 
    47184766    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     
    47274775 
    47284776 
    4729 for ac_header in iconv.h 
     4777for ac_header in zlib.h 
    47304778do 
    47314779as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    48724920_ACEOF 
    48734921 
    4874                 echo "$as_me:$LINENO: checking for iconv in -liconv" >&5 
    4875 echo $ECHO_N "checking for iconv in -liconv... $ECHO_C" >&6 
    4876 if test "${ac_cv_lib_iconv_iconv+set}" = set; then 
     4922                echo "$as_me:$LINENO: checking for deflate in -lz" >&5 
     4923echo $ECHO_N "checking for deflate in -lz... $ECHO_C" >&6 
     4924if test "${ac_cv_lib_z_deflate+set}" = set; then 
    48774925  echo $ECHO_N "(cached) $ECHO_C" >&6 
    48784926else 
    48794927  ac_check_lib_save_LIBS=$LIBS 
    4880 LIBS="-liconv  $LIBS" 
     4928LIBS="-lz  $LIBS" 
    48814929cat >conftest.$ac_ext <<_ACEOF 
    48824930/* confdefs.h.  */ 
     
    48924940/* We use char because int might match the return type of a gcc2 
    48934941   builtin and then its argument prototype would still apply.  */ 
    4894 char iconv (); 
     4942char deflate (); 
    48954943int 
    48964944main () 
    48974945{ 
    4898 iconv (); 
     4946deflate (); 
    48994947  ; 
    49004948  return 0; 
     
    49234971  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    49244972  (exit $ac_status); }; }; then 
    4925   ac_cv_lib_iconv_iconv=yes 
     4973  ac_cv_lib_z_deflate=yes 
    49264974else 
    49274975  echo "$as_me: failed program was:" >&5 
    49284976sed 's/^/| /' conftest.$ac_ext >&5 
    49294977 
    4930 ac_cv_lib_iconv_iconv=no 
     4978ac_cv_lib_z_deflate=no 
    49314979fi 
    49324980rm -f conftest.err conftest.$ac_objext \ 
     
    49344982LIBS=$ac_check_lib_save_LIBS 
    49354983fi 
    4936 echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_iconv" >&5 
    4937 echo "${ECHO_T}$ac_cv_lib_iconv_iconv" >&6 
    4938 if test $ac_cv_lib_iconv_iconv = yes; then 
    4939  
    4940                         LIBS="$LIBS -liconv" 
    4941  
    4942 else 
    4943  
    4944                         echo "$as_me:$LINENO: checking for libiconv in -liconv" >&5 
    4945 echo $ECHO_N "checking for libiconv in -liconv... $ECHO_C" >&6 
    4946 if test "${ac_cv_lib_iconv_libiconv+set}" = set; then 
    4947   echo $ECHO_N "(cached) $ECHO_C" >&6 
    4948 else 
    4949   ac_check_lib_save_LIBS=$LIBS 
    4950 LIBS="-liconv  $LIBS" 
    4951 cat >conftest.$ac_ext <<_ACEOF 
    4952 /* confdefs.h.  */ 
    4953 _ACEOF 
    4954 cat confdefs.h >>conftest.$ac_ext 
    4955 cat >>conftest.$ac_ext <<_ACEOF 
    4956 /* end confdefs.h.  */ 
    4957  
    4958 /* Override any gcc2 internal prototype to avoid an error.  */ 
    4959 #ifdef __cplusplus 
    4960 extern "C" 
    4961 #endif 
    4962 /* We use char because int might match the return type of a gcc2 
    4963    builtin and then its argument prototype would still apply.  */ 
    4964 char libiconv (); 
    4965 int 
    4966 main () 
    4967 
    4968 libiconv (); 
    4969   ; 
    4970   return 0; 
    4971 
    4972 _ACEOF 
    4973 rm -f conftest.$ac_objext conftest$ac_exeext 
    4974 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    4975   (eval $ac_link) 2>conftest.er1 
    4976   ac_status=$? 
    4977   grep -v '^ *+' conftest.er1 >conftest.err 
    4978   rm -f conftest.er1 
    4979   cat conftest.err >&5 
    4980   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4981   (exit $ac_status); } && 
    4982          { ac_try='test -z "$ac_c_werror_flag" 
    4983                          || test ! -s conftest.err' 
    4984   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4985   (eval $ac_try) 2>&5 
    4986   ac_status=$? 
    4987   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4988   (exit $ac_status); }; } && 
    4989          { ac_try='test -s conftest$ac_exeext' 
    4990   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4991   (eval $ac_try) 2>&5 
    4992   ac_status=$? 
    4993   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4994   (exit $ac_status); }; }; then 
    4995   ac_cv_lib_iconv_libiconv=yes 
    4996 else 
    4997   echo "$as_me: failed program was:" >&5 
    4998 sed 's/^/| /' conftest.$ac_ext >&5 
    4999  
    5000 ac_cv_lib_iconv_libiconv=no 
    5001 fi 
    5002 rm -f conftest.err conftest.$ac_objext \ 
    5003       conftest$ac_exeext conftest.$ac_ext 
    5004 LIBS=$ac_check_lib_save_LIBS 
    5005 fi 
    5006 echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_libiconv" >&5 
    5007 echo "${ECHO_T}$ac_cv_lib_iconv_libiconv" >&6 
    5008 if test $ac_cv_lib_iconv_libiconv = yes; then 
    5009  
    5010                                 LIBS="$LIBS -liconv" 
    5011  
    5012 else 
    5013  
    5014                                 echo "$as_me:$LINENO: checking for iconv" >&5 
    5015 echo $ECHO_N "checking for iconv... $ECHO_C" >&6 
    5016 if test "${ac_cv_func_iconv+set}" = set; then 
    5017   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5018 else 
    5019   cat >conftest.$ac_ext <<_ACEOF 
    5020 /* confdefs.h.  */ 
    5021 _ACEOF 
    5022 cat confdefs.h >>conftest.$ac_ext 
    5023 cat >>conftest.$ac_ext <<_ACEOF 
    5024 /* end confdefs.h.  */ 
    5025 /* Define iconv to an innocuous variant, in case <limits.h> declares iconv. 
    5026    For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
    5027 #define iconv innocuous_iconv 
    5028  
    5029 /* System header to define __stub macros and hopefully few prototypes, 
    5030     which can conflict with char iconv (); below. 
    5031     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    5032     <limits.h> exists even on freestanding compilers.  */ 
    5033  
    5034 #ifdef __STDC__ 
    5035 # include <limits.h> 
    5036 #else 
    5037 # include <assert.h> 
    5038 #endif 
    5039  
    5040 #undef iconv 
    5041  
    5042 /* Override any gcc2 internal prototype to avoid an error.  */ 
    5043 #ifdef __cplusplus 
    5044 extern "C" 
    5045 
    5046 #endif 
    5047 /* We use char because int might match the return type of a gcc2 
    5048    builtin and then its argument prototype would still apply.  */ 
    5049 char iconv (); 
    5050 /* The GNU C library defines this for functions which it implements 
    5051     to always fail with ENOSYS.  Some functions are actually named 
    5052     something starting with __ and the normal name is an alias.  */ 
    5053 #if defined (__stub_iconv) || defined (__stub___iconv) 
    5054 choke me 
    5055 #else 
    5056 char (*f) () = iconv; 
    5057 #endif 
    5058 #ifdef __cplusplus 
    5059 
    5060 #endif 
    5061  
    5062 int 
    5063 main () 
    5064 
    5065 return f != iconv; 
    5066   ; 
    5067   return 0; 
    5068 
    5069 _ACEOF 
    5070 rm -f conftest.$ac_objext conftest$ac_exeext 
    5071 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    5072   (eval $ac_link) 2>conftest.er1 
    5073   ac_status=$? 
    5074   grep -v '^ *+' conftest.er1 >conftest.err 
    5075   rm -f conftest.er1 
    5076   cat conftest.err >&5 
    5077   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5078   (exit $ac_status); } && 
    5079          { ac_try='test -z "$ac_c_werror_flag" 
    5080                          || test ! -s conftest.err' 
    5081   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5082   (eval $ac_try) 2>&5 
    5083   ac_status=$? 
    5084   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5085   (exit $ac_status); }; } && 
    5086          { ac_try='test -s conftest$ac_exeext' 
    5087   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5088   (eval $ac_try) 2>&5 
    5089   ac_status=$? 
    5090   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5091   (exit $ac_status); }; }; then 
    5092   ac_cv_func_iconv=yes 
    5093 else 
    5094   echo "$as_me: failed program was:" >&5 
    5095 sed 's/^/| /' conftest.$ac_ext >&5 
    5096  
    5097 ac_cv_func_iconv=no 
    5098 fi 
    5099 rm -f conftest.err conftest.$ac_objext \ 
    5100       conftest$ac_exeext conftest.$ac_ext 
    5101 fi 
    5102 echo "$as_me:$LINENO: result: $ac_cv_func_iconv" >&5 
    5103 echo "${ECHO_T}$ac_cv_func_iconv" >&6 
    5104 if test $ac_cv_func_iconv = yes; then 
    5105   : 
    5106 else 
    5107  
    5108  
    5109         { { echo "$as_me:$LINENO: error: could not locate iconv 
    5110  
    5111 If you installed iconv into a non-standard directory, please run: 
     4984echo "$as_me:$LINENO: result: $ac_cv_lib_z_deflate" >&5 
     4985echo "${ECHO_T}$ac_cv_lib_z_deflate" >&6 
     4986if test $ac_cv_lib_z_deflate = yes; then 
     4987 
     4988                        LIBS="$LIBS -lz" 
     4989 
     4990else 
     4991 
     4992 
     4993        { { echo "$as_me:$LINENO: error: could not locate zlib 
     4994 
     4995If you installed zlib into a non-standard directory, please run: 
    51124996 
    51134997    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    5114 echo "$as_me: error: could not locate iconv 
    5115  
    5116 If you installed iconv into a non-standard directory, please run: 
     4998echo "$as_me: error: could not locate zlib 
     4999 
     5000If you installed zlib into a non-standard directory, please run: 
    51175001 
    51185002    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     
    51235007 
    51245008 
    5125 fi 
    5126  
    5127  
    5128 fi 
    5129  
    5130  
    5131 else 
    5132  
    5133  
    5134         { { echo "$as_me:$LINENO: error: could not locate iconv 
    5135  
    5136 If you installed iconv into a non-standard directory, please run: 
     5009else 
     5010 
     5011 
     5012        { { echo "$as_me:$LINENO: error: could not locate zlib 
     5013 
     5014If you installed zlib into a non-standard directory, please run: 
    51375015 
    51385016    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    5139 echo "$as_me: error: could not locate iconv 
    5140  
    5141 If you installed iconv into a non-standard directory, please run: 
     5017echo "$as_me: error: could not locate zlib 
     5018 
     5019If you installed zlib into a non-standard directory, please run: 
    51425020 
    51435021    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     
    51505028 
    51515029 
    5152         echo "$as_me:$LINENO: checking if iconv understands Unicode" >&5 
    5153 echo $ECHO_N "checking if iconv understands Unicode... $ECHO_C" >&6 
    5154         if test "$cross_compiling" = yes; then 
    5155   { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
    5156 See \`config.log' for more details." >&5 
    5157 echo "$as_me: error: cannot run test program while cross compiling 
    5158 See \`config.log' for more details." >&2;} 
    5159    { (exit 1); exit 1; }; } 
    5160 else 
    5161   cat >conftest.$ac_ext <<_ACEOF 
    5162  
    5163                 #include <iconv.h> 
    5164                 int main(void) { 
    5165                         iconv_t conv = iconv_open("UTF-8", "UTF-16"); 
    5166                         if(conv == (iconv_t) -1) 
    5167                                 return 1; 
    5168                         return 0; 
    5169                 } 
    5170  
    5171 _ACEOF 
    5172 rm -f conftest$ac_exeext 
    5173 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    5174   (eval $ac_link) 2>&5 
    5175   ac_status=$? 
    5176   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5177   (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    5178   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5179   (eval $ac_try) 2>&5 
    5180   ac_status=$? 
    5181   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5182   (exit $ac_status); }; }; then 
    5183  
    5184                 echo "$as_me:$LINENO: result: yes" >&5 
    5185 echo "${ECHO_T}yes" >&6 
    5186  
    5187 else 
    5188   echo "$as_me: program exited with status $ac_status" >&5 
    5189 echo "$as_me: failed program was:" >&5 
    5190 sed 's/^/| /' conftest.$ac_ext >&5 
    5191  
    5192 ( exit $ac_status ) 
    5193  
    5194                 { { echo "$as_me:$LINENO: error: no" >&5 
    5195 echo "$as_me: error: no" >&2;} 
    5196    { (exit 1); exit 1; }; } 
    5197  
    5198 fi 
    5199 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
    5200 fi 
    5201  
    5202  
    5203  
    5204 for ac_header in term.h 
     5030 
     5031 
     5032 
     5033for ac_header in iconv.h 
    52055034do 
    52065035as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    53475176_ACEOF 
    53485177 
    5349                 echo "$as_me:$LINENO: checking for tgoto" >&5 
    5350 echo $ECHO_N "checking for tgoto... $ECHO_C" >&6 
    5351 if test "${ac_cv_func_tgoto+set}" = set; then 
     5178                echo "$as_me:$LINENO: checking for iconv in -liconv" >&5 
     5179echo $ECHO_N "checking for iconv in -liconv... $ECHO_C" >&6 
     5180if test "${ac_cv_lib_iconv_iconv+set}" = set; then 
    53525181  echo $ECHO_N "(cached) $ECHO_C" >&6 
    53535182else 
    5354   cat >conftest.$ac_ext <<_ACEOF 
     5183  ac_check_lib_save_LIBS=$LIBS 
     5184LIBS="-liconv  $LIBS" 
     5185cat >conftest.$ac_ext <<_ACEOF 
    53555186/* confdefs.h.  */ 
    53565187_ACEOF 
     
    53585189cat >>conftest.$ac_ext <<_ACEOF 
    53595190/* end confdefs.h.  */ 
    5360 /* Define tgoto to an innocuous variant, in case <limits.h> declares tgoto. 
     5191 
     5192/* Override any gcc2 internal prototype to avoid an error.  */ 
     5193#ifdef __cplusplus 
     5194extern "C" 
     5195#endif 
     5196/* We use char because int might match the return type of a gcc2 
     5197   builtin and then its argument prototype would still apply.  */ 
     5198char iconv (); 
     5199int 
     5200main () 
     5201
     5202iconv (); 
     5203  ; 
     5204  return 0; 
     5205
     5206_ACEOF 
     5207rm -f conftest.$ac_objext conftest$ac_exeext 
     5208if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     5209  (eval $ac_link) 2>conftest.er1 
     5210  ac_status=$? 
     5211  grep -v '^ *+' conftest.er1 >conftest.err 
     5212  rm -f conftest.er1 
     5213  cat conftest.err >&5 
     5214  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5215  (exit $ac_status); } && 
     5216         { ac_try='test -z "$ac_c_werror_flag" 
     5217                         || test ! -s conftest.err' 
     5218  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5219  (eval $ac_try) 2>&5 
     5220  ac_status=$? 
     5221  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5222  (exit $ac_status); }; } && 
     5223         { ac_try='test -s conftest$ac_exeext' 
     5224  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5225  (eval $ac_try) 2>&5 
     5226  ac_status=$? 
     5227  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5228  (exit $ac_status); }; }; then 
     5229  ac_cv_lib_iconv_iconv=yes 
     5230else 
     5231  echo "$as_me: failed program was:" >&5 
     5232sed 's/^/| /' conftest.$ac_ext >&5 
     5233 
     5234ac_cv_lib_iconv_iconv=no 
     5235fi 
     5236rm -f conftest.err conftest.$ac_objext \ 
     5237      conftest$ac_exeext conftest.$ac_ext 
     5238LIBS=$ac_check_lib_save_LIBS 
     5239fi 
     5240echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_iconv" >&5 
     5241echo "${ECHO_T}$ac_cv_lib_iconv_iconv" >&6 
     5242if test $ac_cv_lib_iconv_iconv = yes; then 
     5243 
     5244                        LIBS="$LIBS -liconv" 
     5245 
     5246else 
     5247 
     5248                        echo "$as_me:$LINENO: checking for libiconv in -liconv" >&5 
     5249echo $ECHO_N "checking for libiconv in -liconv... $ECHO_C" >&6 
     5250if test "${ac_cv_lib_iconv_libiconv+set}" = set; then 
     5251  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5252else 
     5253  ac_check_lib_save_LIBS=$LIBS 
     5254LIBS="-liconv  $LIBS" 
     5255cat >conftest.$ac_ext <<_ACEOF 
     5256/* confdefs.h.  */ 
     5257_ACEOF 
     5258cat confdefs.h >>conftest.$ac_ext 
     5259cat >>conftest.$ac_ext <<_ACEOF 
     5260/* end confdefs.h.  */ 
     5261 
     5262/* Override any gcc2 internal prototype to avoid an error.  */ 
     5263#ifdef __cplusplus 
     5264extern "C" 
     5265#endif 
     5266/* We use char because int might match the return type of a gcc2 
     5267   builtin and then its argument prototype would still apply.  */ 
     5268char libiconv (); 
     5269int 
     5270main () 
     5271
     5272libiconv (); 
     5273  ; 
     5274  return 0; 
     5275
     5276_ACEOF 
     5277rm -f conftest.$ac_objext conftest$ac_exeext 
     5278if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     5279  (eval $ac_link) 2>conftest.er1 
     5280  ac_status=$? 
     5281  grep -v '^ *+' conftest.er1 >conftest.err 
     5282  rm -f conftest.er1 
     5283  cat conftest.err >&5 
     5284  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5285  (exit $ac_status); } && 
     5286         { ac_try='test -z "$ac_c_werror_flag" 
     5287                         || test ! -s conftest.err' 
     5288  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5289  (eval $ac_try) 2>&5 
     5290  ac_status=$? 
     5291  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5292  (exit $ac_status); }; } && 
     5293         { ac_try='test -s conftest$ac_exeext' 
     5294  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5295  (eval $ac_try) 2>&5 
     5296  ac_status=$? 
     5297  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5298  (exit $ac_status); }; }; then 
     5299  ac_cv_lib_iconv_libiconv=yes 
     5300else 
     5301  echo "$as_me: failed program was:" >&5 
     5302sed 's/^/| /' conftest.$ac_ext >&5 
     5303 
     5304ac_cv_lib_iconv_libiconv=no 
     5305fi 
     5306rm -f conftest.err conftest.$ac_objext \ 
     5307      conftest$ac_exeext conftest.$ac_ext 
     5308LIBS=$ac_check_lib_save_LIBS 
     5309fi 
     5310echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_libiconv" >&5 
     5311echo "${ECHO_T}$ac_cv_lib_iconv_libiconv" >&6 
     5312if test $ac_cv_lib_iconv_libiconv = yes; then 
     5313 
     5314                                LIBS="$LIBS -liconv" 
     5315 
     5316else 
     5317 
     5318                                echo "$as_me:$LINENO: checking for iconv" >&5 
     5319echo $ECHO_N "checking for iconv... $ECHO_C" >&6 
     5320if test "${ac_cv_func_iconv+set}" = set; then 
     5321  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5322else 
     5323  cat >conftest.$ac_ext <<_ACEOF 
     5324/* confdefs.h.  */ 
     5325_ACEOF 
     5326cat confdefs.h >>conftest.$ac_ext 
     5327cat >>conftest.$ac_ext <<_ACEOF 
     5328/* end confdefs.h.  */ 
     5329/* Define iconv to an innocuous variant, in case <limits.h> declares iconv. 
    53615330   For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
    5362 #define tgoto innocuous_tgoto 
     5331#define iconv innocuous_iconv 
    53635332 
    53645333/* System header to define __stub macros and hopefully few prototypes, 
    5365     which can conflict with char tgoto (); below. 
     5334    which can conflict with char iconv (); below. 
    53665335    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
    53675336    <limits.h> exists even on freestanding compilers.  */ 
     
    53735342#endif 
    53745343 
    5375 #undef tgoto 
     5344#undef iconv 
    53765345 
    53775346/* Override any gcc2 internal prototype to avoid an error.  */ 
     
    53825351/* We use char because int might match the return type of a gcc2 
    53835352   builtin and then its argument prototype would still apply.  */ 
    5384 char tgoto (); 
     5353char iconv (); 
    53855354/* The GNU C library defines this for functions which it implements 
    53865355    to always fail with ENOSYS.  Some functions are actually named 
    53875356    something starting with __ and the normal name is an alias.  */ 
    5388 #if defined (__stub_tgoto) || defined (__stub___tgoto
     5357#if defined (__stub_iconv) || defined (__stub___iconv
    53895358choke me 
    53905359#else 
    5391 char (*f) () = tgoto
     5360char (*f) () = iconv
    53925361#endif 
    53935362#ifdef __cplusplus 
     
    53985367main () 
    53995368{ 
    5400 return f != tgoto
     5369return f != iconv
    54015370  ; 
    54025371  return 0; 
     
    54255394  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    54265395  (exit $ac_status); }; }; then 
    5427   ac_cv_func_tgoto=yes 
     5396  ac_cv_func_iconv=yes 
    54285397else 
    54295398  echo "$as_me: failed program was:" >&5 
    54305399sed 's/^/| /' conftest.$ac_ext >&5 
    54315400 
    5432 ac_cv_func_tgoto=no 
     5401ac_cv_func_iconv=no 
    54335402fi 
    54345403rm -f conftest.err conftest.$ac_objext \ 
    54355404      conftest$ac_exeext conftest.$ac_ext 
    54365405fi 
    5437 echo "$as_me:$LINENO: result: $ac_cv_func_tgoto" >&5 
    5438 echo "${ECHO_T}$ac_cv_func_tgoto" >&6 
    5439 if test $ac_cv_func_tgoto = yes; then 
     5406echo "$as_me:$LINENO: result: $ac_cv_func_iconv" >&5 
     5407echo "${ECHO_T}$ac_cv_func_iconv" >&6 
     5408if test $ac_cv_func_iconv = yes; then 
    54405409  : 
    54415410else 
    54425411 
    5443                         echo "$as_me:$LINENO: checking for tgoto in -ltermcap" >&5 
    5444 echo $ECHO_N "checking for tgoto in -ltermcap... $ECHO_C" >&6 
    5445 if test "${ac_cv_lib_termcap_tgoto+set}" = set; then 
    5446   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5447 else 
    5448   ac_check_lib_save_LIBS=$LIBS 
    5449 LIBS="-ltermcap  $LIBS" 
    5450 cat >conftest.$ac_ext <<_ACEOF 
    5451 /* confdefs.h.  */ 
    5452 _ACEOF 
    5453 cat confdefs.h >>conftest.$ac_ext 
    5454 cat >>conftest.$ac_ext <<_ACEOF 
    5455 /* end confdefs.h.  */ 
    5456  
    5457 /* Override any gcc2 internal prototype to avoid an error.  */ 
    5458 #ifdef __cplusplus 
    5459 extern "C" 
    5460 #endif 
    5461 /* We use char because int might match the return type of a gcc2 
    5462    builtin and then its argument prototype would still apply.  */ 
    5463 char tgoto (); 
    5464 int 
    5465 main () 
    5466 
    5467 tgoto (); 
    5468   ; 
    5469   return 0; 
    5470 
    5471 _ACEOF 
    5472 rm -f conftest.$ac_objext conftest$ac_exeext 
     5412 
     5413        { { echo "$as_me:$LINENO: error: could not locate iconv 
     5414 
     5415If you installed iconv into a non-standard directory, please run: 
     5416 
     5417    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     5418echo "$as_me: error: could not locate iconv 
     5419 
     5420If you installed iconv into a non-standard directory, please run: 
     5421 
     5422    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     5423   { (exit 1); exit 1; }; } 
     5424 
     5425 
     5426fi 
     5427 
     5428 
     5429fi 
     5430 
     5431 
     5432fi 
     5433 
     5434 
     5435else 
     5436 
     5437 
     5438        { { echo "$as_me:$LINENO: error: could not locate iconv 
     5439 
     5440If you installed iconv into a non-standard directory, please run: 
     5441 
     5442    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     5443echo "$as_me: error: could not locate iconv 
     5444 
     5445If you installed iconv into a non-standard directory, please run: 
     5446 
     5447    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     5448   { (exit 1); exit 1; }; } 
     5449 
     5450 
     5451fi 
     5452 
     5453done 
     5454 
     5455 
     5456        echo "$as_me:$LINENO: checking if iconv understands Unicode" >&5 
     5457echo $ECHO_N "checking if iconv understands Unicode... $ECHO_C" >&6 
     5458        if test "$cross_compiling" = yes; then 
     5459  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     5460See \`config.log' for more details." >&5 
     5461echo "$as_me: error: cannot run test program while cross compiling 
     5462See \`config.log' for more details." >&2;} 
     5463   { (exit 1); exit 1; }; } 
     5464else 
     5465  cat >conftest.$ac_ext <<_ACEOF 
     5466 
     5467                #include <iconv.h> 
     5468                int main(void) { 
     5469                        iconv_t conv = iconv_open("UTF-8", "UTF-16"); 
     5470                        if(conv == (iconv_t) -1) 
     5471                                return 1; 
     5472                        return 0; 
     5473                } 
     5474 
     5475_ACEOF 
     5476rm -f conftest$ac_exeext 
    54735477if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    5474   (eval $ac_link) 2>conftest.er1 
    5475   ac_status=$? 
    5476   grep -v '^ *+' conftest.er1 >conftest.err 
    5477   rm -f conftest.er1 
    5478   cat conftest.err >&5 
    5479   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5480   (exit $ac_status); } && 
    5481          { ac_try='test -z "$ac_c_werror_flag" 
    5482                          || test ! -s conftest.err' 
    5483   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5484   (eval $ac_try) 2>&5 
    5485   ac_status=$? 
    5486   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5487   (exit $ac_status); }; } && 
    5488          { ac_try='test -s conftest$ac_exeext' 
     5478  (eval $ac_link) 2>&5 
     5479  ac_status=$? 
     5480  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5481  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    54895482  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    54905483  (eval $ac_try) 2>&5 
     
    54925485  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    54935486  (exit $ac_status); }; }; then 
    5494   ac_cv_lib_termcap_tgoto=yes 
    5495 else 
    5496   echo "$as_me: failed program was:" >&5 
     5487 
     5488                echo "$as_me:$LINENO: result: yes" >&5 
     5489echo "${ECHO_T}yes" >&6 
     5490 
     5491else 
     5492  echo "$as_me: program exited with status $ac_status" >&5 
     5493echo "$as_me: failed program was:" >&5 
    54975494sed 's/^/| /' conftest.$ac_ext >&5 
    54985495 
    5499 ac_cv_lib_termcap_tgoto=no 
    5500 fi 
    5501 rm -f conftest.err conftest.$ac_objext \ 
    5502       conftest$ac_exeext conftest.$ac_ext 
    5503 LIBS=$ac_check_lib_save_LIBS 
    5504 fi 
    5505 echo "$as_me:$LINENO: result: $ac_cv_lib_termcap_tgoto" >&5 
    5506 echo "${ECHO_T}$ac_cv_lib_termcap_tgoto" >&6 
    5507 if test $ac_cv_lib_termcap_tgoto = yes; then 
    5508  
    5509                                 LIBS="$LIBS -ltermcap" 
    5510  
    5511 else 
    5512  
    5513                                 echo "$as_me:$LINENO: checking for tgoto in -lncurses" >&5 
    5514 echo $ECHO_N "checking for tgoto in -lncurses... $ECHO_C" >&6 
    5515 if test "${ac_cv_lib_ncurses_tgoto+set}" = set; then 
    5516   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5517 else 
    5518   ac_check_lib_save_LIBS=$LIBS 
    5519 LIBS="-lncurses  $LIBS" 
    5520 cat >conftest.$ac_ext <<_ACEOF 
    5521 /* confdefs.h.  */ 
    5522 _ACEOF 
    5523 cat confdefs.h >>conftest.$ac_ext 
    5524 cat >>conftest.$ac_ext <<_ACEOF 
    5525 /* end confdefs.h.  */ 
    5526  
    5527 /* Override any gcc2 internal prototype to avoid an error.  */ 
    5528 #ifdef __cplusplus 
    5529 extern "C" 
    5530 #endif 
    5531 /* We use char because int might match the return type of a gcc2 
    5532    builtin and then its argument prototype would still apply.  */ 
    5533 char tgoto (); 
    5534 int 
    5535 main () 
    5536 
    5537 tgoto (); 
    5538   ; 
    5539   return 0; 
    5540 
    5541 _ACEOF 
    5542 rm -f conftest.$ac_objext conftest$ac_exeext 
    5543 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    5544   (eval $ac_link) 2>conftest.er1 
    5545   ac_status=$? 
    5546   grep -v '^ *+' conftest.er1 >conftest.err 
    5547   rm -f conftest.er1 
    5548   cat conftest.err >&5 
    5549   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5550   (exit $ac_status); } && 
    5551          { ac_try='test -z "$ac_c_werror_flag" 
    5552                          || test ! -s conftest.err' 
    5553   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5554   (eval $ac_try) 2>&5 
    5555   ac_status=$? 
    5556   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5557   (exit $ac_status); }; } && 
    5558          { ac_try='test -s conftest$ac_exeext' 
    5559   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5560   (eval $ac_try) 2>&5 
    5561   ac_status=$? 
    5562   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5563   (exit $ac_status); }; }; then 
    5564   ac_cv_lib_ncurses_tgoto=yes 
    5565 else 
    5566   echo "$as_me: failed program was:" >&5 
    5567 sed 's/^/| /' conftest.$ac_ext >&5 
    5568  
    5569 ac_cv_lib_ncurses_tgoto=no 
    5570 fi 
    5571 rm -f conftest.err conftest.$ac_objext \ 
    5572       conftest$ac_exeext conftest.$ac_ext 
    5573 LIBS=$ac_check_lib_save_LIBS 
    5574 fi 
    5575 echo "$as_me:$LINENO: result: $ac_cv_lib_ncurses_tgoto" >&5 
    5576 echo "${ECHO_T}$ac_cv_lib_ncurses_tgoto" >&6 
    5577 if test $ac_cv_lib_ncurses_tgoto = yes; then 
    5578  
    5579                                         LIBS="$LIBS -lncurses" 
    5580  
    5581 else 
    5582  
    5583                                         echo "$as_me:$LINENO: checking for tgoto in -lcurses" >&5 
    5584 echo $ECHO_N "checking for tgoto in -lcurses... $ECHO_C" >&6 
    5585 if test "${ac_cv_lib_curses_tgoto+set}" = set; then 
    5586   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5587 else 
    5588   ac_check_lib_save_LIBS=$LIBS 
    5589 LIBS="-lcurses  $LIBS" 
    5590 cat >conftest.$ac_ext <<_ACEOF 
    5591 /* confdefs.h.  */ 
    5592 _ACEOF 
    5593 cat confdefs.h >>conftest.$ac_ext 
    5594 cat >>conftest.$ac_ext <<_ACEOF 
    5595 /* end confdefs.h.  */ 
    5596  
    5597 /* Override any gcc2 internal prototype to avoid an error.  */ 
    5598 #ifdef __cplusplus 
    5599 extern "C" 
    5600 #endif 
    5601 /* We use char because int might match the return type of a gcc2 
    5602    builtin and then its argument prototype would still apply.  */ 
    5603 char tgoto (); 
    5604 int 
    5605 main () 
    5606 
    5607 tgoto (); 
    5608   ; 
    5609   return 0; 
    5610 
    5611 _ACEOF 
    5612 rm -f conftest.$ac_objext conftest$ac_exeext 
    5613 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    5614   (eval $ac_link) 2>conftest.er1 
    5615   ac_status=$? 
    5616   grep -v '^ *+' conftest.er1 >conftest.err 
    5617   rm -f conftest.er1 
    5618   cat conftest.err >&5 
    5619   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5620   (exit $ac_status); } && 
    5621          { ac_try='test -z "$ac_c_werror_flag" 
    5622                          || test ! -s conftest.err' 
    5623   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5624   (eval $ac_try) 2>&5 
    5625   ac_status=$? 
    5626   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5627   (exit $ac_status); }; } && 
    5628          { ac_try='test -s conftest$ac_exeext' 
    5629   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5630   (eval $ac_try) 2>&5 
    5631   ac_status=$? 
    5632   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5633   (exit $ac_status); }; }; then 
    5634   ac_cv_lib_curses_tgoto=yes 
    5635 else 
    5636   echo "$as_me: failed program was:" >&5 
    5637 sed 's/^/| /' conftest.$ac_ext >&5 
    5638  
    5639 ac_cv_lib_curses_tgoto=no 
    5640 fi 
    5641 rm -f conftest.err conftest.$ac_objext \ 
    5642       conftest$ac_exeext conftest.$ac_ext 
    5643 LIBS=$ac_check_lib_save_LIBS 
    5644 fi 
    5645 echo "$as_me:$LINENO: result: $ac_cv_lib_curses_tgoto" >&5 
    5646 echo "${ECHO_T}$ac_cv_lib_curses_tgoto" >&6 
    5647 if test $ac_cv_lib_curses_tgoto = yes; then 
    5648  
    5649                                                 LIBS="$LIBS -lcurses" 
    5650  
    5651 fi 
    5652  
    5653  
    5654 fi 
    5655  
    5656  
    5657 fi 
    5658  
    5659  
    5660 fi 
    5661  
    5662  
    5663 fi 
    5664  
    5665 done 
    5666  
    5667  
    5668  
    5669  
    5670 for ac_header in readline/readline.h 
     5496( exit $ac_status ) 
     5497 
     5498                { { echo "$as_me:$LINENO: error: no" >&5 
     5499echo "$as_me: error: no" >&2;} 
     5500   { (exit 1); exit 1; }; } 
     5501 
     5502fi 
     5503rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     5504fi 
     5505 
     5506 
     5507 
     5508for ac_header in term.h 
    56715509do 
    56725510as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    58135651_ACEOF 
    58145652 
    5815                 echo "$as_me:$LINENO: checking for rl_initialize in -lreadline" >&5 
    5816 echo $ECHO_N "checking for rl_initialize in -lreadline... $ECHO_C" >&6 
    5817 if test "${ac_cv_lib_readline_rl_initialize+set}" = set; then 
     5653                echo "$as_me:$LINENO: checking for tgoto" >&5 
     5654echo $ECHO_N "checking for tgoto... $ECHO_C" >&6 
     5655if test "${ac_cv_func_tgoto+set}" = set; then 
    58185656  echo $ECHO_N "(cached) $ECHO_C" >&6 
    58195657else 
     5658  cat >conftest.$ac_ext <<_ACEOF 
     5659/* confdefs.h.  */ 
     5660_ACEOF 
     5661cat confdefs.h >>conftest.$ac_ext 
     5662cat >>conftest.$ac_ext <<_ACEOF 
     5663/* end confdefs.h.  */ 
     5664/* Define tgoto to an innocuous variant, in case <limits.h> declares tgoto. 
     5665   For example, HP-UX 11i <limits.h> declares gettimeofday.  */ 
     5666#define tgoto innocuous_tgoto 
     5667 
     5668/* System header to define __stub macros and hopefully few prototypes, 
     5669    which can conflict with char tgoto (); below. 
     5670    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 
     5671    <limits.h> exists even on freestanding compilers.  */ 
     5672 
     5673#ifdef __STDC__ 
     5674# include <limits.h> 
     5675#else 
     5676# include <assert.h> 
     5677#endif 
     5678 
     5679#undef tgoto 
     5680 
     5681/* Override any gcc2 internal prototype to avoid an error.  */ 
     5682#ifdef __cplusplus 
     5683extern "C" 
     5684{ 
     5685#endif 
     5686/* We use char because int might match the return type of a gcc2 
     5687   builtin and then its argument prototype would still apply.  */ 
     5688char tgoto (); 
     5689/* The GNU C library defines this for functions which it implements 
     5690    to always fail with ENOSYS.  Some functions are actually named 
     5691    something starting with __ and the normal name is an alias.  */ 
     5692#if defined (__stub_tgoto) || defined (__stub___tgoto) 
     5693choke me 
     5694#else 
     5695char (*f) () = tgoto; 
     5696#endif 
     5697#ifdef __cplusplus 
     5698} 
     5699#endif 
     5700 
     5701int 
     5702main () 
     5703{ 
     5704return f != tgoto; 
     5705  ; 
     5706  return 0; 
     5707} 
     5708_ACEOF 
     5709rm -f conftest.$ac_objext conftest$ac_exeext 
     5710if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     5711  (eval $ac_link) 2>conftest.er1 
     5712  ac_status=$? 
     5713  grep -v '^ *+' conftest.er1 >conftest.err 
     5714  rm -f conftest.er1 
     5715  cat conftest.err >&5 
     5716  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5717  (exit $ac_status); } && 
     5718         { ac_try='test -z "$ac_c_werror_flag"